{% extends 'base.html.twig' %}


{% block body %}
    <div class="container-fluid mt-2">

        {{ form_start(form) }}

        <div class="row">
            <div class="col">
                {{ form_row(form.brand) }}
            </div>
        </div>


        <div class="row">
            <div class="col">
                {{ form_row(form.product) }}
            </div>
            <div class="col-2 d-grid gap-2">
                <button id="barcodeButton" class="btn btn-success btn-block" data-bs-toggle="modal"
                        data-bs-target="#barcodeScannerModal">

                    <i class="bi bi-upc-scan"></i></button>
            </div>
        </div>

        <div class="row">
            <div class="col">
                {{ form_row(form.pantry) }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                {{ form_row(form.quantity) }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                {{ form_row(form.expiration) }}
            </div>
        </div>


        <div class="d-grid gap-2 d-md-block">
            <button class="btn btn-primary px-3 bt-submit-after my-2">
                {% if app.session.get('return_route')=='homepage' %}
                    {{ button_label|default('Load and return to home'|trans) }}
                {% endif %}
                {% if app.session.get('return_route')=='product_presence_index' %}
                    {{ button_label|default('Load and return to list'|trans) }}
                {% endif %}
            </button>
            <button class="btn btn-primary px-3 bt-submit-after" id="bt-submit-after-add"
                    data-after-action="add">{{ button_label|default('Load and add more food'|trans) }}</button>
        </div>
        {{ form_end(form) }}


    </div>

    <!-- Modal -->
    <div class="modal " id="barcodeScannerModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{% trans %}Barcode scanner{% endtrans %}</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <div id="reader" width="600px"></div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="closeScanner">
                        {% trans %}Close{% endtrans %}
                    </button>
                </div>
            </div>
        </div>
    </div>


    <!-- Modal -->
    <div class="modal" id="productNotFound" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">
                        {% trans %}Product not found{% endtrans %}
                    </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>
                        {% trans %}A product with this barcode was not found.{% endtrans %}
                    </p>
                    <p>{% trans %}What does we suggest?{% endtrans %}</p>
                    <ol>
                        <li>{% trans %}Put the product aside.{% endtrans %}</li>
                        <li>{% trans %}Go to <a href="https://world.openfoodfacts.org/open-food-facts-mobile-app">https://world.openfoodfacts.org/open-food-facts-mobile-app</a> and install the app.{% endtrans %}
                        </li>
                        <li>{% trans %}Using the app scan the product and insert all details.{% endtrans %}</li>
                        <li>{% trans %}Rescan the product using <i>dispensa</i>.{% endtrans %}</li>
                    </ol>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="closeScanner">
                        {% trans %}Close{% endtrans %}
                    </button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}


    <script>
        var $brand = $('#product_presence_brand');
        // When sport gets selected ...
        $brand.change(function() {
            // ... retrieve the corresponding form.
            var $form = $(this).closest('form');
            // Simulate form data, but only include the selected sport value.
            var data = {};
            data[$brand.attr('name')] = $brand.val();
            // Submit data via AJAX to the form's action path.
            $.ajax({
                url : $form.attr('action'),
                type: $form.attr('method'),
                data : data,
                complete: function(html) {
                    // Replace current position field ...
                    $('#product_presence_product').replaceWith(
                        // ... with the returned one from the AJAX response.
                        $(html.responseText).find('#product_presence_product')
                    );
                    // Position field now displays the appropriate positions.
                }
            });
        });
    </script>
{% endblock %}

